Bug 1591973 - Windows get permanently composited on the screen
Summary: Windows get permanently composited on the screen
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: marco
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Wolfgang Ulbrich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-15 22:12 UTC by James Pearson
Modified: 2018-11-03 18:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-03 18:10:26 UTC
Type: Bug


Attachments (Terms of Use)
Script to show problem (1.28 KB, text/x-python)
2018-06-15 22:12 UTC, James Pearson
no flags Details

Description James Pearson 2018-06-15 22:12:55 UTC
Created attachment 1452080 [details]
Script to show problem

Description of problem:

Qt applications can leave windows (e.g. pull down menus) permanently painted on the screen when 'org.mate.Marco.general' 'compositing-manager' set to 'true' (default)

Version-Release number of selected component (if applicable):

marco-1.16.1-1.el7

How reproducible:

Always

Steps to Reproduce:
1. Run attached PyQt4 python script
2. Select item from pull down
3. Click on 'Toggle'

Actual results:

Pull down menu remains on the screen and stays where it is even if the window is moved

Expected results:

Pull down isn't displayed

Additional info:

This is the same as in the upstream issue at:

 https://github.com/mate-desktop/marco/issues/324

and the patch at:

 https://github.com/mate-desktop/marco/commit/59756b8d77dfbd0948d7e4d3349477173aa2728a

appears to fix the issue for me

Comment 1 Fedora Update System 2018-06-16 06:04:48 UTC
marco-1.16.1-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-3f93a972ec

Comment 2 Wolfgang Ulbrich 2018-06-16 06:05:59 UTC
Does this build fixes the problem?

Comment 3 James Pearson 2018-06-16 09:20:20 UTC
Unfortunately not :-)

You've included the patch in the spec file, but it's not actually applied ... you need to add:

 %patch1 -p1

to the %prep section

Comment 4 Wolfgang Ulbrich 2018-06-16 11:09:03 UTC
Without any words....
In fedora builds i use autosetup.
Rhel/centos isn't really on my screen any more....
I am searching for a maintainer.....

Comment 5 Wolfgang Ulbrich 2018-06-16 11:25:54 UTC
Can you try this build please?
https://koji.fedoraproject.org/koji/taskinfo?taskID=27653704
This fixes the issue with the dropdown menu like in origin github report, but not the transparent window issue here in quemu-kvm.

Comment 6 James Pearson 2018-06-16 11:49:51 UTC
That build appears to be OK

Comment 7 Wolfgang Ulbrich 2018-06-16 11:53:31 UTC
Ok than i will push that to repos.

Comment 8 Fedora Update System 2018-06-16 12:10:03 UTC
marco-1.16.1-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-75111625de

Comment 9 Fedora Update System 2018-06-16 20:34:20 UTC
marco-1.16.1-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-75111625de

Comment 10 Fedora Update System 2018-07-01 23:00:55 UTC
marco-1.16.1-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.